
import 'package:liftmanager/internal/bbs/page/expert_list.dart';
import 'package:liftmanager/mvp/base_page_presenter.dart';
import 'package:liftmanager/net/api_service.dart';
import 'package:liftmanager/widgets/state_layout.dart';

class   ExpertListPresenter extends BasePagePresenter<ExpertListState> {
  Future getExpertList(int page,String sortType,int brandId,lat,lng) async {
    await NewApiService().getExpertList(page,20,sortType,brandId,lat,lng,onSuccess: (res) {
      print(brandId);
      print(8989);
      view.closeProgress();
      if (res != null) {
        view.provider.setHasMore(res.records.length == 20);
        if(page == 1){
          view.provider.list.clear();
          if (res.records.isEmpty) {
            view.provider.setStateType(StateType.empty);
          } else {
            view.provider.addAll(res.records);
          }
        }else{
          view.provider.addAll(res.records);
        }

      } else {
        /// 加载失败
        view.provider.setHasMore(false);
        view.provider.setStateType(StateType.empty);
      }
    }, onError: (code, msg) {
      view.closeProgress();
      view.provider.setHasMore(false);
      view.provider.setStateType(StateType.network);
    });
  }
}
